Skip to main content
POST
Create HTTP tool

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

integration_id
string<uuid>
requerido

Integration ID

Cuerpo

application/json
name
string
requerido

The name of the tool

description
string
requerido

The description given to the agent to understand the tool

endpoint_path
string
requerido

The URL to the endpoint of the tool

method
enum<string>
requerido

The HTTP method for the tool

Opciones disponibles:
GET,
POST,
PUT,
DELETE,
PATCH
query
QueryParamSchema · object[] | null

The query parameters for the tool

body
BodyParamSchema · object[] | null

The body parameters for the tool

path
PathParamSchema · object[] | null

URL path parameters with {name} placeholders in endpoint_path

headers
Headers · object | null

The headers for the tool

timeout
integer | null
predeterminado:5

Timeout for the API to send a response

approval_required
boolean
predeterminado:false

If true, the agent will ask for confirmation before executing

execution_audio
enum<string> | null

Background sound to play while the tool is executing

Opciones disponibles:
waiting_music,
typing
pre_speech
enum<string>
predeterminado:auto

Whether agent should speak before executing: 'auto' or 'force'

Opciones disponibles:
auto,
force

Respuesta

Successful Response

id
string<uuid>
requerido

The unique identifier for the tool

name
string
requerido

The name of the tool

headers
Headers · object | null
requerido

The headers for the tool

method
enum<string>
requerido

The HTTP method for the tool

Opciones disponibles:
GET,
POST,
PUT,
DELETE,
PATCH
type
string
predeterminado:HTTP
Allowed value: "HTTP"
description
string | null

The description given to the agent to understand the tool

endpoint_path
string | null

The URL to the endpoint of the tool

query
QueryParamSchema · object[] | null

The query parameters for the tool

body
BodyParamSchema · object[] | null

The body parameters for the tool

path
PathParamSchema · object[] | null

URL path parameters with {name} placeholders in endpoint_path

timeout
integer | null
predeterminado:5

Timeout for the API to send a response

approval_required
boolean
predeterminado:false

If true, the agent will ask for confirmation before executing

execution_audio
enum<string> | null

Background sound to play while the tool is executing

Opciones disponibles:
waiting_music,
typing
pre_speech
enum<string>
predeterminado:auto

Whether agent should speak before executing: 'auto' or 'force'

Opciones disponibles:
auto,
force